## ros-kinetic-stdr-resources 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(stdr_resources)

find_package(catkin REQUIRED)

catkin_package()

# Install files
install(DIRECTORY maps resources
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-stdr-resources (0.3.2-0xenial) xenial; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-kinetic-stdr-resources (0.3.1-0xenial) xenial; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-stdr-resources (0.3.0-0xenial) xenial; urgency=high

  * Migrate to package format 2
  * Added new map
  * Added omni robot examples
  * Added kinematic_model xml specifications

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-stdr-resources (0.2.0-0xenial) xenial; urgency=high

  * Added resources for new sensors. (thermal, CO2, sound, rfid)
  * Added lidar resources
  * Fixed specifications.xml for rfid reader support

 -- Chris Zalidis <zalidis@gmail.com>  Fri, 25 Jul 2014 07:00:00 -0000

ros-kinetic-stdr-resources (0.1.3-0xenial) xenial; urgency=high

  * Add more footprint files.

 -- Chris Zalidis <zalidis@gmail.com>  Tue, 25 Mar 2014 07:00:00 -0000

ros-kinetic-stdr-resources (0.1.2-0xenial) xenial; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Sun, 09 Mar 2014 08:00:00 -0000

ros-kinetic-stdr-resources (0.1.1-0xenial) xenial; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 10 Feb 2014 08:00:00 -0000

ros-kinetic-stdr-resources (0.1.0-0xenial) xenial; urgency=high

  * first public release for Hydro

 -- Chris Zalidis <zalidis@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-stdr-resources
Section: misc
Priority: extra
Maintainer: Chris Zalidis <zalidis@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://stdr-simulator-ros-pkg.github.io
Standards-Version: 3.9.2

Package: ros-kinetic-stdr-resources
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Provides robot and sensor descripiton files for STDR Simulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-stdr-resources//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
